<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "salemain";
$trandb = "saletran";
$formname = "Balancereg Register";
$file = "Balancereg_fr.php";

$zroot = 'cepheisy_msp_root';

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

if (isset($_POST["view"])) {
    $party = $_POST["party"];
    $salesman = $_POST["salesman"];
    $dtype = $_POST["dtype"];
    $scope = $_POST["scope"];
    $printnar = $_POST["prna"];

    $dtypecond = "";
    $mscopecond = "";

    $mfrmdate = trim($_POST["fdate"]);
    $mtodate = trim($_POST["tdate"]);




    if (!empty($party)) {
        $partycond = " AND `party`='$party' ";
    }
    if (!empty($salesman)) {
        $salemcond = " AND `salesman`='$salesman' ";
    }


//    if (!empty($frmdt)) {
//        $frmdtcond = " AND `vouchdt`='$frmdt' ";
//    }
//
//    if (!empty($todt)) {
//        $todtcond = " AND `todt`='$todt' ";
//    }

    if (!empty($dtype)) {
        $dtypecond = " AND `dtype`='$dtype' ";
    }

    if (!empty($scope)) {
        $mscopecond = " AND `type`='$scope' ";
    }

    if (empty($_POST["fdate"])) {
        browse("From Date Cannot Be Empty");
        header("refresh:1; purreg.php");
    }
    if (empty($_POST["tdate"])) {
        browse("To Date Cannot Be Empty");
        header("refresh:1; purreg.php");
    }

    $getpmain = mysqli_query($conn, "SELECT *, DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `$maindb` WHERE `vouchdt` >= '$mfrmdate' 
                            AND `vouchdt` <= '$mtodate'  $partycond $salemcond $mscopecond ")or die(mysqli_error($conn));
    $get = mysqli_num_rows($getpmain);
    include("includes/linkshead.php");
    ?>
    <style type="text/css">
        #tabital{
            font-style: italic;
        }
        #font1{
            font-style: italic;
        }
        #boldfont{
            font-weight: bold; 
        }
    </style>
    <!--<script src="MyScript/item.js" type="text/javascript"></script>-->
    </head>
    <body>
        <div class="container">
            <div class="row">
                <div class="col-lg-6">
                    <label class="label-control marg">Date - </label>
                    <label class="label-control marg"><?php Echo Date("d-m-Y"); ?></label>
                </div>
                <div class="col-lg-5">
                    <label class="label-control marg">Print - </label>
                    <label class="label-control marg"><?php Echo $formname; ?></label>
                </div>
                <div class="col-lg-1">
                    <a onclick="window.close()" class="btn btn-primary">GO Back</a>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table style="background: white;width: 100%" class="table table-condensed table-hover">
                        <thead class="mySearchTr">
                            <tr>
                                <th style="width:4%">Sr</th>
                                <th style="width:7%">Inv.No</th>
                                <th style="width:10%">Date</th>
                                <th style="width:20%">Supplier</th>
                                <th style="width:15%">Salesman</th>
                                <th style="width:10%" class="text-right">Amount</th>
                                <th style="width:10%" class="text-right">Itm.Disc%</th>
                                <th style="width:8%" class="text-right">Discount</th>
                                <th style="width:10%" class="text-right">Amount</th>
                                <th style="width:10%" class="text-right">Advance</th>
                                <th style="width:10%" class="text-right">Balance</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $ctr = 0;
                            $totamt = 0;
                            $totpack = 0;
                            $totbill = 0;
                            $totitmpr = 0;

                            while ($pmain = mysqli_fetch_array($getpmain)) {
                                $getsupp = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`='$pmain[party]' ")or die(mysqli_error($conn));
                                $supp = mysqli_fetch_array($getsupp);
                                $getsale = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`='$pmain[salesman]'")or die(mysqli_error($conn));
                                $sale = mysqli_fetch_array($getsale);

                                $ctr++;
                                Echo "<tr id='boldfont'>";
                                Echo "<td>$ctr</td>";
                                Echo "<td>$pmain[invno]</td>";
                                Echo "<td>$pmain[mydt]</td>";
                                Echo "<td>$supp[name]</td>";
                                Echo "<td>$sale[name]</td>";
                                Echo "<td class='text-right'>$pmain[subtotal]</td>";
                                Echo "<td class='text-right'>$pmain[litemdisc]</td>";
                                Echo "<td class='text-right'>$pmain[discount]</td>";
                                Echo "<td class='text-right'>$pmain[couamt]</td>";
                                Echo "<td class='text-right'>$pmain[ladvance]</td>";
                                Echo "<td class='text-right'>$pmain[balance]</td>";
                                Echo "</tr>";
                                if ($printnar == 1) {
                                    Echo "<tr id='boldfont'>";
                                    Echo "<td></td>";
                                    Echo "<td></td>";
                                    Echo "<td></td>";
                                    Echo "<td>$pmain[remark1] $pmain[remark2]</td>";
                                    Echo "<td></td>";
                                    Echo "<td class='text-right'></td>";
                                    Echo "<td class='text-right'></td>";
                                    Echo "<td class='text-right'></td>";
                                    Echo "<td class='text-right'></td>";
                                    Echo "<td class='text-right'></td>";
                                    Echo "</tr>";
                                }
                                $totpack = $totpack + $pmain[couamt];
                                $totbill = $totbill + $pmain[netamt];
                                $totamt = $totamt + $pmain[subtotal];
                                $totitmpr = $totitmpr + $pmain[litemdisc];

                                if ($_POST["dtype"] == 2) {

                                    Echo "<tr style='height:10px;'>";
                                    Echo "<td colspan='25'>";
                                    Echo "<table style='width:100%;' id='tabital' class='table table-condensed table-hover table-bordered'>";
                                    Echo "<th style='background-color: #cccccc;width:5%;'>Sr</th>";
                                    Echo "<th style='background-color: #cccccc;width:10%; class='numeric''>Barcode</th>";
                                    Echo "<th style='background-color: #cccccc';width:6%; >Itemname</th>";
                                    Echo "<th style='background-color: #cccccc;width:6%;' class='numeric'>Qty</th>";
                                    Echo "<th style='background-color: #cccccc;width:6%;' class='numeric'>Mrp</th>";
                                    Echo "<th style='background-color: #cccccc;width:6%;' class='numeric'>Rate</th>";
                                    Echo "<th style='background-color: #cccccc;width:6%;' class='numeric'>Amount</th>";
                                    Echo "<th style='background-color: #cccccc;width:6%;' class='numeric'>Dis%age</th>";
                                    Echo "<th style='background-color: #cccccc;width:6%;' class='numeric'>Discount</th>";
                                    Echo "<th style='background-color: #cccccc;width:6%;' class='numeric'>Total</th>";

                                    Echo "<tr>";


                                    $ctr2 = 0;
                                    $total = 0;
                                    $totqty = 0;

                                    $gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE `vouchno`='$pmain[vouchno]'")or die(mysqli_error($conn));
                                    while ($tran = mysqli_fetch_array($gettran)) {

                                        $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `item` WHERE `code`='$tran[item]'")or die(mysqli_error($conn));
                                        $item = mysqli_fetch_array($getitem);

                                        $ctr2++;
                                        Echo "<tr>";
                                        Echo "<td>$ctr2</td>";
                                        Echo "<td class=''>$tran[barcode]</td>";
                                        Echo "<td>$item[name]</td>";
                                        Echo "<td class='numeric'>$tran[qty]</td>";
                                        Echo "<td class='numeric'>$tran[mrp]</td>";
                                        Echo "<td class='numeric'>$tran[rate]</td>";
                                        Echo "<td class='numeric'>$tran[amount]</td>";
                                        Echo "<td class='numeric'>$tran[discperc]</td>";
                                        Echo "<td class='numeric'>$tran[discount]</td>";
                                        Echo "<td class='numeric'>$tran[total]</td>";
                                        Echo "</tr>";
                                        $totqty = $totqty + $tran[qty];
                                        $total = $total + $tran[total];
                                    }

                                    if ($_POST["dtype"] == 2) {
                                        echo "<tr> ";
                                        $colr1 = "blue";
                                        Echo "<td></td>";
                                        Echo "<td class=''></td>";
                                        echo "<td align='right' style='color:$colr1;'><h4><b> Total</b></h4></td>";
                                        echo "<td align='right' style='color:$colr1;' id='font'><h4><b>$totqty</b></h4></td>";
                                        Echo "<td class='numeric'></td>";
                                        Echo "<td class='numeric'></td>";
                                        Echo "<td class='numeric'></td>";
                                        Echo "<td class='numeric'></td>";
                                        Echo "<td class='numeric'></td>";
                                        echo "<td align='right' style='color:$colr1;' id='font'><h4><b>$total</b></h4></td>";

                                        echo "</tr>";
                                    }



                                    Echo "</table>";
                                    Echo "</td>";
                                }
                            }
                            $colr = "red";
                            echo "<tr> ";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td align='right' style='color:$colr;'><h4><b>Grand Total</b></h4></td>";
                            echo "<td></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totamt</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totitmpr</b></h4></td>";
                            echo "<td></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totpack</b></h4></td>";
                            echo "<td></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totbill</b></h4></td>";
                            echo "</tr>";
                            ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php");
        ?>
    </body>
    </html>
    <?php
}
if (isset($_POST["excel"])) {
    $party = $_POST["party"];
    $salesman = $_POST["salesman"];
    $dtype = $_POST["dtype"];

    $dtypecond = "";

    $mfrmdate = trim($_POST["fdate"]);
    $mtodate = trim($_POST["tdate"]);




    if (!empty($party)) {
        $partycond = " AND `party`='$party' ";
    }
    if (!empty($salesman)) {
        $salemcond = " AND `salesman`='$salesman' ";
    }


//    if (!empty($frmdt)) {
//        $frmdtcond = " AND `vouchdt`='$frmdt' ";
//    }
//
//    if (!empty($todt)) {
//        $todtcond = " AND `todt`='$todt' ";
//    }

    if (!empty($dtype)) {
        $dtypecond = " AND `dtype`='$dtype' ";
    }

    if (empty($_POST["fdate"])) {
        browse("From Date Cannot Be Empty");
        header("refresh:1; purreg.php");
    }
    if (empty($_POST["tdate"])) {
        browse("To Date Cannot Be Empty");
        header("refresh:1; purreg.php");
    }

    $getpmain = mysqli_query($conn, "SELECT *, DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `$maindb` WHERE `vouchdt` >= '$mfrmdate' 
                            AND `vouchdt` <= '$mtodate'  $partycond $salemcond ")or die(mysqli_error($conn));
    $get = mysqli_num_rows($getpmain);

    $contents.="Sr.,Inv. No.,Date,Supplier,Salesman,Amount,Itm.Disc%,Discount,Amount,Advance,Balance\n";

    $ctr = 0;
    $totamt = 0;
    $totpack = 0;
    $totbill = 0;
    $totitmpr = 0;

    while ($pmain = mysqli_fetch_array($getpmain)) {
        $getsupp = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`='$pmain[party]'")or die(mysqli_error($conn));
        $supp = mysqli_fetch_array($getsupp);
        $getsale = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`='$pmain[salesman]'")or die(mysqli_error($conn));
        $sale = mysqli_fetch_array($getsale);

        $ctr++;
        $pinvno = $pmain[invno];
        $pdate = $pmain[mydt];
        $psupp = $supp[name];
        $psale = $sale[name];
        $psubtotal = $pmain[subtotal];
        $plitemdisc = $pmain[litemdisc];
        $pdiscount = $pmain[discount];
        $pcouamt = $pmain[couamt];
        $pladvance = $pmain[ladvance];
        $pbalance = $pmain[balance];

        $contents.=$ctr . ",";
        $contents.=$pinvno . ",";
        $contents.=$pdate . ",";
        $contents.=$psupp . ",";
        $contents.=$psale . ",";
        $contents.=$psubtotal . ",";
        $contents.=$plitemdisc . ",";
        $contents.=$pdiscount . ",";
        $contents.=$pcouamt . ",";
        $contents.=$pladvance . ",";
        $contents.=$pbalance . "\n";

        if ($printnar == 1) {
            $contents.=" " . ",";
            $contents.=" " . ",";
            $contents.=" " . ",";
            $contents.="$pmain[remark1]" . "$pmain[remark2]" . ",";
            $contents.=" " . ",";
            $contents.=" " . ",";
            $contents.=" " . ",";
            $contents.=" " . ",";
            $contents.=" " . ",";
            $contents.=" " . "\n";
        }
        $totpack = $totpack + $pmain[couamt];
        $totbill = $totbill + $pmain[netamt];
        $totamt = $totamt + $pmain[subtotal];
        $totitmpr = $totitmpr + $pmain[litemdisc];
        if ($_POST["dtype"] == 2) {

            $contents.="Sr.,Barcode,Itemname,Qty,Mrp,Rate,Amount,Dis%age,Discount,Total\n";

            $ctr2 = 0;
            $total = 0;
            $totqty = 0;

            $gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE `vouchno`='$pmain[vouchno]'")or die(mysqli_error($conn));
            while ($tran = mysqli_fetch_array($gettran)) {

                $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `item` WHERE `code`='$tran[item]'")or die(mysqli_error($conn));
                $item = mysqli_fetch_array($getitem);

                $ctr2++;
                $pbarcode = $tran[barcode];
                $pitemname = $item[name];
                $pqty = $tran[qty];
                $pmrp = $tran[mrp];
                $prate = $tran[rate];
                $pamount = $tran[amount];
                $pdiscperc = $tran[discperc];
                $pdiscount = $tran[discount];
                $ptotal = $tran[total];

                $contents.=$ctr2 . ",";
                $contents.=$pbarcode . ",";
                $contents.=$pitemname . ",";
                $contents.=$pqty . ",";
                $contents.=$pmrp . ",";
                $contents.=$prate . ",";
                $contents.=$pamount . ",";
                $contents.=$pdiscperc . ",";
                $contents.=$pdiscount . ",";
                $contents.=$ptotal . "\n";
            }
            $totqty = $totqty + $tran[qty];
            $total = $total + $tran[total];

            $contents.=" " . ",";
            $contents.=" " . ",";
            $contents.="Total" . ",";
            $contents.="$totqty" . ",";
            $contents.=" " . ",";
            $contents.=" " . ",";
            $contents.=" " . ",";
            $contents.=" " . ",";
            $contents.=" " . ",";
            $contents.="$total" . "\n";
        }
    }
    $contents.=" " . ",";
    $contents.=" " . ",";
    $contents.=" " . ",";
    $contents.="Grand Total" . ",";
    $contents.=" " . ",";
    $contents.="$totamt" . ",";
    $contents.="$totitmpr" . ",";
    $contents.=" " . ",";
    $contents.="$totpack" . ",";
    $contents.=" " . ",";
    $contents.="$totbill" . "\n";

    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>
   
